Bug 233791 - www/firefox: update to 65.0
Summary: www/firefox: update to 65.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL: https://wiki.mozilla.org/Releases/Fir...
Keywords: needs-qa, patch
Depends on: 233028 233712
Blocks: 235300
  Show dependency treegraph
 
Reported: 2018-12-05 01:35 UTC by Jan Beich
Modified: 2019-01-29 16:03 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-12-05 01:35:55 UTC
See review D18432 for the patch.
Comment 1 commit-hook freebsd_committer 2019-01-21 23:04:12 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jan 21 23:03:47 UTC 2019
New revision: 490910
URL: https://svnweb.freebsd.org/changeset/ports/490910

Log:
  www/firefox: update to 65.0

  Backport a fix for WebRender on Wayland e.g.,

  $ GDK_BACKEND=wayland MOZ_WEBRENDER=1 MOZ_ACCELERATED=1 firefox https://example.com/

  Changes:	https://www.mozilla.org/firefox/65.0/releasenotes/
  PR:		233791
  Security:	b1f7d52f-fc42-48e8-8403-87d4c9d26229
  MFH:		2019Q1
  Differential Revision:	https://reviews.freebsd.org/D18432

Changes:
  head/Mk/Uses/gecko.mk
  head/Mk/bsd.gecko.mk
  head/mail/thunderbird/Makefile
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug1511726
  head/www/firefox/files/patch-bug1514156
  head/www/firefox/files/patch-bug847568
  head/www/firefox-esr/Makefile
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
  head/www/palemoon/Makefile
  head/www/seamonkey/Makefile
Comment 2 rozhuk.im 2019-01-23 11:24:05 UTC
Build fail on 12.0:
...
/tmp/ports/usr/ports/www/firefox/work/firefox-65.0/gfx/webrender_bindings/RenderCompositor.cpp:35:47: error: use of undeclared identifier 'RenderCompositorEGL'; did you mean
      'RenderCompositorOGL'?
  UniquePtr<RenderCompositor> eglCompositor = RenderCompositorEGL::Create(aWidget);
                                              ^~~~~~~~~~~~~~~~~~~
                                              RenderCompositorOGL
/tmp/ports/usr/ports/www/firefox/work/.build/dist/include/mozilla/webrender/RenderCompositorOGL.h:16:7: note: 'RenderCompositorOGL' declared here
class RenderCompositorOGL : public RenderCompositor {
      ^
In file included from /tmp/ports/usr/ports/www/firefox/work/.build/gfx/webrender_bindings/Unified_cpp_webrender_bindings0.cpp:20:
/tmp/ports/usr/ports/www/firefox/work/firefox-65.0/gfx/webrender_bindings/RenderCompositor.cpp:35:75: error: rvalue reference to type 'RefPtr<...>' cannot bind to lvalue of type
      'RefPtr<...>'
  UniquePtr<RenderCompositor> eglCompositor = RenderCompositorEGL::Create(aWidget);
                                                                          ^~~~~~~
/tmp/ports/usr/ports/www/firefox/work/.build/dist/include/mozilla/webrender/RenderCompositorOGL.h:19:42: note: passing argument to parameter 'aWidget' here
      RefPtr<widget::CompositorWidget>&& aWidget);
                                         ^
...
Comment 3 Cy Schubert freebsd_committer 2019-01-23 12:42:13 UTC
(In reply to rozhuk.im from comment #2)
Simply delete files/patch-bug1514156. files/patch-bug1514156 should be applied conditionally.
Comment 4 commit-hook freebsd_committer 2019-01-23 14:55:36 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jan 23 14:55:03 UTC 2019
New revision: 491042
URL: https://svnweb.freebsd.org/changeset/ports/491042

Log:
  www/firefox: unbreak WAYLAND=off build after r490910

  In file included from ../.build/gfx/webrender_bindings/Unified_cpp_webrender_bindings0.cpp:20:
  gfx/webrender_bindings/RenderCompositor.cpp:35:47: error: use of undeclared identifier 'RenderCompositorEGL'; did you mean 'RenderCompositorOGL'?
    UniquePtr<RenderCompositor> eglCompositor = RenderCompositorEGL::Create(aWidget);
                                                ^~~~~~~~~~~~~~~~~~~
                                                RenderCompositorOGL
  ../.build/dist/include/mozilla/webrender/RenderCompositorOGL.h:16:7: note: 'RenderCompositorOGL' declared here
  class RenderCompositorOGL : public RenderCompositor {
        ^
  In file included from ../.build/gfx/webrender_bindings/Unified_cpp_webrender_bindings0.cpp:20:
  gfx/webrender_bindings/RenderCompositor.cpp:35:75: error: rvalue reference to type 'RefPtr<...>' cannot bind to lvalue of type 'RefPtr<...>'
    UniquePtr<RenderCompositor> eglCompositor = RenderCompositorEGL::Create(aWidget);
                                                                            ^~~~~~~
  ../.build/dist/include/mozilla/webrender/RenderCompositorOGL.h:19:42: note: passing argument to parameter 'aWidget' here
        RefPtr<widget::CompositorWidget>&& aWidget);
                                           ^

  PR:		233791
  Reported by:	many

Changes:
  head/www/firefox/files/patch-bug1514156
Comment 5 commit-hook freebsd_committer 2019-01-23 14:55:39 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jan 23 14:55:10 UTC 2019
New revision: 491043
URL: https://svnweb.freebsd.org/changeset/ports/491043

Log:
  www/firefox: hide WAYLAND option after r490910

  Wayland support cannot be disabled independent of x11-toolkits/gtk30
  and there're no new dependencies due to libmozwayland.so shim.
  https://bugzilla.mozilla.org/show_bug.cgi?id=1501218

  PR:		233791

Changes:
  head/www/firefox/Makefile
Comment 6 rozhuk.im 2019-01-23 15:43:50 UTC
(In reply to commit-hook from comment #5)
With this update build ok.
Comment 7 commit-hook freebsd_committer 2019-01-24 21:49:53 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jan 24 21:49:18 UTC 2019
New revision: 491119
URL: https://svnweb.freebsd.org/changeset/ports/491119

Log:
  www/firefox: switch to rc2

  Changes:	https://hg.mozilla.org/releases/mozilla-release/pushloghtml?startdate=2019-01-22&enddate=2019-01-25
  PR:		233791

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 8 commit-hook freebsd_committer 2019-01-29 00:45:24 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jan 29 00:45:07 UTC 2019
New revision: 491524
URL: https://svnweb.freebsd.org/changeset/ports/491524

Log:
  MFH: r490910 r491042 r491043 r491119

  www/firefox: update to 65.0

  Backport a fix for WebRender on Wayland e.g.,

  $ GDK_BACKEND=wayland MOZ_WEBRENDER=1 MOZ_ACCELERATED=1 firefox https://example.com/

  Changes:	https://www.mozilla.org/firefox/65.0/releasenotes/
  PR:		233791
  Security:	b1f7d52f-fc42-48e8-8403-87d4c9d26229
  Approved by:	ports-secteam blanket
  Differential Revision:	https://reviews.freebsd.org/D18432

Changes:
_U  branches/2019Q1/
  branches/2019Q1/Mk/Uses/gecko.mk
  branches/2019Q1/Mk/bsd.gecko.mk
  branches/2019Q1/mail/thunderbird/Makefile
  branches/2019Q1/www/firefox/Makefile
  branches/2019Q1/www/firefox/distinfo
  branches/2019Q1/www/firefox/files/patch-bug1511726
  branches/2019Q1/www/firefox/files/patch-bug1514156
  branches/2019Q1/www/firefox/files/patch-bug847568
  branches/2019Q1/www/firefox-esr/Makefile
  branches/2019Q1/www/firefox-i18n/Makefile
  branches/2019Q1/www/firefox-i18n/distinfo
  branches/2019Q1/www/palemoon/Makefile
  branches/2019Q1/www/seamonkey/Makefile